# -*- coding: utf-8 -*-
=begin
与えられた Line Delimited JSON
の各行が、JSON Schemaの仕様に合致するかをvalidateします
=end

require 'json-schema'

schama = ARGV.shift || "schema.json"

while line = gets()
  begin
    JSON::Validator.validate!(schama, line)
  rescue JSON::Schema::ValidationError
    puts $!.message
  end
end
